(function () {
    /* Load plugin specific language pack */

    tinymce.create('tinymce.plugins.mceshortcode', {

        /**
         * test Initializes the plugin, this will be executed after the plugin has been created.
         * This call is done before the editor instance has finished it's initialization so use the onInit event
         * of the editor instance to intercept that event.
         *
         * @param {tinymce.Editor} ed Editor instance that the plugin is initialized in.
         * @param {string} url Absolute URL to where the plugin is located.
         */
        init: function (ed, url) {
            var t = this;

            t.url       = url;
            t.ed        = ed;
            t.assets_url = url.replace(/\/$/, "").match(/.*\//);
            t.img_url   = t.assets_url + 'img/';
            t.views_url = t.assets_url[0].replace(/\/$/, "").match(/.*\//);

            var register_buttons = $buttons,
            assets_url = t.assets_url[0],
            icon_url = t.img_url + 'icon-',
            views_url =  t.views_url + 'instantwpsalesletter.php?popup/';

            jQuery.each(register_buttons, function(key, value){

                ed.addButton(register_buttons[key][0], {
                    title: register_buttons[key][1],
                    image: icon_url + register_buttons[key][2],
                    onclick: function(){
                        var W = window.innerWidth - (window.innerWidth / 4),
                        H = window.innerHeight - (window.innerHeight / 4);

                        tb_show(register_buttons[key][1], views_url + register_buttons[key][0] +'&popup=1&title='+register_buttons[key][1]+'&KeepThis=true&TB_iframe=true&width='+W+'&height='+H);
                    }
                });
            });

        },

        /**
         * Creates control instances based in the incomming name. This method is normally not
         * needed since the addButton method of the tinymce.Editor class is a more easy way of adding buttons
         * but you sometimes need to create more complex controls like listboxes, split buttons etc then this
         * method can be used to create those.
         *
         * @param {String} n Name of the control to create.
         * @param {tinymce.ControlManager} cm Control manager to use inorder to create new control.
         * @return {tinymce.ui.Control} New control instance or null if no control was created.
         */
        createControl: function (n, cm) {
            return null;
        },

        /**
         * Returns information about the plugin as a name/value array.
         * The current keys are longname, author, authorurl, infourl and version.
         *
         * @return {Object} Name/value array containing information about the plugin.
         */
        getInfo: function () {
            return {
                longname: 'Instant WP Sales Letter',
                author: 'OknooRap',
                authorurl: 'http://facebook.com/anonymousjapan',
                infourl: '',
                version: "1.0"
            };
        }
    });

    /* Register plugin */
    tinymce.PluginManager.add('mceshortcode', tinymce.plugins.mceshortcode);
})();