(function($){

  $(document).ready(function(){

    $('#insert_to_post').click(function(e){
      e.preventDefault();

      if(typeof before_send_to_editor != 'undefined') {
        before_send_to_editor();
      };
      win.send_to_editor(init_shortcode());
      win.tb_remove();
    });

    $('#cancel_insert_to_post').click(function(e){
      e.preventDefault();
      win.tb_remove();
    });

    $('.nav-tabs a').live('click', function(e){
      e.preventDefault();
      var tab_content = $(this).parent().parent().next().attr('id');
      $('#'+tab_content+' .tab-pane').hide();
      $('#'+tab_content+' '+$(this).attr('href')).fadeIn('fast');
    });

    $('.select-option').click(function(e){
      e.preventDefault();
      $(this).parent().children('.select-option').removeClass('active');
      $(this).addClass('active');
    });

    $('#the_headline_select .select-option').click(function(e){
      $('#tabchange textarea').val($(this).html());
    });

    $('a[href="#tabchange"]').click(function(e){
      e.preventDefault();
      $('#tabchange textarea').val($('#the_headline_select .select-option.active').html());
    });

    $('.btn-group[data-toggle="buttons-checkbox"] button').click(function(e){
      e.preventDefault();
      var parent = $(this).parent();

      parent.children('button').val(parent.attr('data-value-reset'));
      parent.children('button.active').val(parent.attr('data-value'));
      if($(this).hasClass('active')) {
        $(this).val(parent.attr('data-value-reset'));
      } else {
        $(this).val(parent.attr('data-value'));
      }
    });

    $('a.add').live('click', function(e){
      e.preventDefault();
      var parent = $(this).parent(),
      prev_input = parent.children('input');

      if(prev_input.val() === '' || prev_input.val() === null){
        
        prev_input.focus();
        return false;

      } else {

        var clone = parent.clone().appendTo('#listpoints');
        clone.children('a.remove').show();
        clone.children('input').val('').focus();
        if(parent.index() != 0) {
          parent.children('a.remove').show();
        }

      }
    });

    $('a.remove').live('click', function(e){
      e.preventDefault();
      var parent = $(this).parent();
      parent.remove();
    });


    $('.full_font_family').change(function(){
      $(this).next($('a.g_font_library')).remove();
      if($('.full_font_family option:selected').hasClass('gfont')) {
        $(this).after(' <a href="#" class="gfont-popup">Pop out</a>');
      };
    });

    $('a.gfont-popup').live('click', function(e){
      e.preventDefault();
      var url = 'http://www.google.com/webfonts/specimen/'+$('.full_font_family option:selected').val().replace(/g\+/, '');
      window.open(url,'popGoogleFont','height=600,width=500,left=0,top=0,resizable=yes,scrollbars=yes,toolbar=no,menubar=no,location=no,directories=no,status=no');
    });

  });

  $.fn.init_color_box = function(){
    var element = this;
    $(element).prev().children('.color_box').ColorPicker({
      onSubmit: function(hsb, hex, rgb, el) {
        var id = $(el).attr('title');
        $(el).css('backgroundColor', '#' + hex);
        $('#'+id).html('#' + hex);
        $(element).val(hex);
        $(el).ColorPickerHide();
        $('#'+id).css('color', '#'+hex);
        if(typeof colorbox_callback != 'undefined') {
          colorbox_callback();
        };
      },
      onBeforeShow: function () {
        $(this).ColorPickerSetColor($('#'+$(this).attr('title')).html());
      }
    });
  }

  function init_shortcode() {

    shortcode = '['+window.shortcode_tag+' ';

    $.each(params, function(k, v){
      if(k == 'content' || k == 'br'){
        /* continue */
      } else {
        var the_value = ($(v).val() == '')? defaults[k]: $(v).val();
        the_value = the_value.replace(/"/g, '');
        shortcode += k + '="'+ the_value + '" ';
      }
    });

    shortcode = php_js_rtrim(shortcode, ' ');

    if(window.shortcode_type === 'closed') {
      shortcode += ']';
    } else if(window.shortcode_type === 'custom') {
      if(typeof custom_init_to_editor != 'undefined') {
        shortcode = custom_init_to_editor();
      } else {
        shortcode = '';
      }
    } else {
      shortcode_content = ($(params['content']).val() == '')? defaults['content']: $(params['content']).val();
      shortcode += ']'+shortcode_content+'[/'+window.shortcode_tag+']';
    }

    if(defaults.br == null) {
      return '<br _moz_dirty="" />' + shortcode + '<br _moz_dirty="" />';
    } else {
      return shortcode;
    }
  };

})(jQuery);

function init_set_plus(arr) {
  var arr_val='';

  arr_val += ($(arr['top'][0]).val() === '')? arr['top'][1] + '+': $(arr['top'][0]).val() + '+';
  arr_val += ($(arr['right'][0]).val() === '')? arr['right'][1] + '+': $(arr['right'][0]).val() + '+';
  arr_val += ($(arr['bottom'][0]).val() === '')? arr['bottom'][1] + '+': $(arr['bottom'][0]).val() + '+';
  arr_val += ($(arr['left'][0]).val() === '')? arr['left'][1]: $(arr['left'][0]).val();

  $(arr['target']).val(arr_val);
};

function get_preview(html) {
  html = html.replace(/\{data.([a-zA-Z0-9]+?)\}/g, function(match, $1){
    return ($(params[$1]).val() == '')? defaults[$1]: $(params[$1]).val();
  });

  $('#tabpreview').html(html);
};

function get_data(data){
  return ($(params[data]).val() == '')? defaults[data]: $(params[data]).val();
};

function init_google_webfont() {
  $('#google_webfont').remove();

  if($('.full_font_family option:selected').hasClass('gfont')) {
    WebFontConfig.google.families = [];
    WebFontConfig.google.families.push($('.full_font_family option:selected').val().replace(/g\+/, '').replace(/\+/ig, ' ').replace(/\n/ig, ''));

    var wf = document.createElement('script');
    wf.src = ('https:' == document.location.protocol ? 'https' : 'http') +
        '://ajax.googleapis.com/ajax/libs/webfont/1/webfont.js';
    wf.type = 'text/javascript';
    wf.id = 'google_webfont';
    wf.async = 'true';
    var s = document.getElementsByTagName('script')[0];
    s.parentNode.insertBefore(wf, s);
  };
};

function parse_domain_name (thestring) {
  var urlpattern = new RegExp("(http|ftp|https)://(.*?)/.*$");
  var parsedurl = thestring.match(urlpattern);

  if(parsedurl) {
    return parsedurl[2];
  } else {
    return thestring;
  }
};