<?php 

function framework_include_output($file, $data='')
{
    ob_start();
    if(! empty($data)) extract($data);
    include $file;
    return ob_get_clean();
}

function framework_get_request_uri($index)
{
	foreach($_GET as $k=>$get)
	{
		$request[] = $k;
	}

	return $request[$index];
}

function framework_get_controller_name()
{
	$uri = framework_get_request_uri(0);
	$uri = explode('/', $uri);
	
	return $uri[1];
}

function framework_get_controller($uri, $data='', $type='popup')
{
	$uri = explode('/', $uri);

	framework_include_controller($uri[0]);
	$class_name = ucwords(strtolower($uri[0]));
	$class = new $class_name;

	if(method_exists( $class, $uri[1]))
	{
		if($type == 'popup')
		{
			$class->set('tag', $data['tag_'.$uri[1]]);
			$class->set('type', $data['type_'.$uri[1]]);
			$class->set('name', $uri[1]);
		}
		$class->$uri[1]();
	}
}

function framework_include_controller($filename)
{
	include PLUGINAPP_PATH . 'controllers/'. $filename .'.php';
}

function &framework_instance()
{
   $get_reference = Plugin_Framework::get_instance();
   return $get_reference;
}

function popup_header()
{
	$get_reference =& framework_instance();
	$get_reference->view('header', $get_reference->data);
}

function popup_footer()
{
	$get_reference =& framework_instance();
	$get_reference->view('footer', $get_reference->data);
}

function generate_colorpicker_box($name='', $id='', $color='#000000')
{
	echo '<div class="color_block"><span class="color-description"><span id="'.$id.'">'.$color.'</span></span><div class="color_box" title="'.$id.'" style="background-color:'.$color.'"></div></div><input name="'.$name.'" type="hidden" id="custom_'.$id.'" value="'.str_replace('#', '', $color).'" />';
}

function render_font_family($id)
{
	$fi =& framework_instance();
	$fonts = $fi->data['fonts'];

	$standard = array(
		'Arial',
		'Georgia',
		'Tahoma',
		'Verdana'
	);

	$return = '<select name="'.$id.'" id="'.$id.'" class="full_font_family">';
	$return .= '<optgroup label="Standard">';

	foreach($standard as $std)
	{
		$return .= '<option value="'.strtolower($std).'">'.$std.'</option>';
	}

	$return .= '</optgroup>';
	if(is_array($fonts) && ! empty($fonts))
	{
		$return .= '<optgroup label="Google Fonts">';
		foreach($fonts as $font)
		{
			$return .= '<option value="g+'.$font.'" class="gfont">'.str_replace('+', ' ', $font).'</option>';
		}
		$return .= '</optgroup>';
	}
	$return .= '</select>';

	echo $return;
}

function framework_parse_domain($url)
{
	$url = parse_url($url, PHP_URL_HOST);
	$url = ($url != '')? $url : '#';

	return $url;
}

function framework_compress($output)
{

   $search = array(
       '/\>[^\S ]+/s', 
       '/[^\S ]+\</s', 
        '/(\s)+/s',
       '#(?://)?<!\[CDATA\[(.*?)(?://)?\]\]>#s',
       '%/\*(.*)\*/%msU'
   );
   $replace = array(
        '>',
        '<',
        '\\1',
        "//&lt;![CDATA[\n".'\1'."\n//]]>",
        ''
   );

   $output = preg_replace($search, $replace, $output);

   return $output;
}


/* End of helpers/misc.php */