<?php popup_header(); ?>

<ul id="header_nav" class="nav nav-tabs">
	<li class="active"><a href="#tabcontent" data-toggle="tab">Content</a></li>
	<li><a href="#tabstyle" data-toggle="tab">Style</a></li>
	<li><a href="#tabpreview" data-toggle="tab">Preview</a></li>
</ul>

<div id="inner_content" class="tab-content">
	<div class="tab-pane fade in active" id="tabcontent">
		<textarea class="full" name="instant_contentbox_content" id="instant_contentbox_content"></textarea>
	</div>
	
	<div class="tab-pane fade" id="tabstyle">
		<div class="span5">
			<div class="control-group">
				<label class="control-label">Border Color</label>
				<div class="controls control-space">
					<?php generate_colorpicker_box('instant_contentbox_border_top_color', 'contentbox_border_top_color', '#FFDB2A'); ?>
					<span class="help-inline">Top</span>
				</div>
				<div class="controls control-space">
					<?php generate_colorpicker_box('instant_contentbox_border_right_color', 'contentbox_border_right_color', '#FFDB2A'); ?>
					<span class="help-inline">Right</span>
				</div>
				<div class="controls control-space">
					<?php generate_colorpicker_box('instant_contentbox_border_bottom_color', 'contentbox_border_bottom_color', '#FFDB2A'); ?>
					<span class="help-inline">Bottom</span>
				</div>
				<div class="controls control-space">
					<?php generate_colorpicker_box('instant_contentbox_border_left_color', 'contentbox_border_left_color', '#FFDB2A'); ?>
					<span class="help-inline">Left</span>
				</div>
			</div><!-- /control-group -->

			<div class="control-group">
				<label class="control-label" for="instant_contentbox_background">Background</label>
				<div class="controls">
					<?php generate_colorpicker_box('instant_contentbox_background', 'contentbox_background', '#FFEFA3'); ?>
				</div>
			</div><!-- /control-group -->

			<div class="control-group">
				<label class="control-label" for="instant_contentbox_color">Text Color</label>
				<div class="controls">
					<?php generate_colorpicker_box('instant_contentbox_color', 'contentbox_color', '#000000'); ?>
				</div>
			</div><!-- /control-group -->

			<div class="control-group">
				<label class="control-label" for="instant_contentbox_textshadow">Text Shadow</label>
				<div class="controls">
					<?php generate_colorpicker_box('instant_contentbox_textshadow', 'contentbox_textshadow', '#FFFFFF'); ?>
				</div>
			</div><!-- /control-group -->

			<div class="control-group">
				<label class="control-label" for="instant_contentbox_color">Box Shadow</label>
				<div class="controls">
					<?php generate_colorpicker_box('instant_contentbox_shadow', 'contentbox_shadow', '#FFFFFF'); ?>
				</div>
			</div><!-- /control-group -->
		</div>
		<div class="span7">
			<div class="control-group">
				<label class="control-label">Border Width</label>
				<div class="controls">
					<input type="text" placeholder="1" style="width:15px" name="instant_contentbox_border_top" id="instant_contentbox_border_top" /> px - 
					<input type="text" placeholder="0" style="width:15px" name="instant_contentbox_border_right" id="instant_contentbox_border_right" /> px - 
					<input type="text" placeholder="1" style="width:15px" name="instant_contentbox_border_bottom" id="instant_contentbox_border_bottom" /> px - 
					<input type="text" placeholder="0" style="width:15px" name="instant_contentbox_border_left" id="instant_contentbox_border_left" /> px
				</div>
			</div><!-- /control-group -->
			<div class="control-group">
				<label class="control-label" for="instant_contentbox_border_style">Border Style</label>
				<div class="controls">
					<div class="btn-group" data-toggle="buttons-radio">
						<button name="instant_contentbox_border_style" class="btn btn-inverse active" value="solid">Solid</button>
						<button name="instant_contentbox_border_style" class="btn btn-inverse" value="dashed">Dotted</button>
					</div>
				</div>
			</div><!-- /control-group -->
			<div class="control-group">
				<label class="control-label">Border Radius</label>
				<div class="controls">
					<input type="text" placeholder="0" class="input-mini" name="instant_contentbox_border_radius" id="instant_contentbox_border_radius" /> px
				</div>
			</div><!-- /control-group -->
			<div class="control-group">
				<label class="control-label">Padding</label>
				<div class="controls">
					<input type="text" placeholder="20" style="width:15px" name="instant_contentbox_padding_top" id="instant_contentbox_padding_top" /> px - 
					<input type="text" placeholder="20" style="width:15px" name="instant_contentbox_padding_right" id="instant_contentbox_padding_right" /> px - 
					<input type="text" placeholder="20" style="width:15px" name="instant_contentbox_padding_bottom" id="instant_contentbox_padding_bottom" /> px - 
					<input type="text" placeholder="20" style="width:15px" name="instant_contentbox_padding_left" id="instant_contentbox_padding_left" /> px
				</div>
			</div><!-- /control-group -->
			<div class="control-group">
				<label class="control-label">Shadow Radius</label>
				<div class="controls">
					<input type="text" placeholder="0" class="input-mini" name="instant_contentbox_shadow_radius" id="instant_contentbox_shadow_radius" /> px
				</div>
			</div><!-- /control-group -->
		</div>
	</div>
	<div class="tab-pane fade" id="tabpreview">

	</div>
</div>

<input type="hidden" name="instant_contentbox_padding" id="instant_contentbox_padding" value="20+20+20+20" />
<input type="hidden" name="instant_contentbox_border_width" id="instant_contentbox_border_width" value="1+0+1+0" />
<input type="hidden" name="instant_contentbox_border_color" id="instant_contentbox_border_color" value="FFDB2A+FFDB2A+FFDB2A+FFDB2A" />

<script>
/* <![CDATA[ */
(function($){

	$(document).ready(function(){
		$('#custom_contentbox_border_top_color').init_color_box();
		$('#custom_contentbox_border_right_color').init_color_box();
		$('#custom_contentbox_border_bottom_color').init_color_box();
		$('#custom_contentbox_border_left_color').init_color_box();
		$('#custom_contentbox_background').init_color_box();
		$('#custom_contentbox_color').init_color_box();
		$('#custom_contentbox_textshadow').init_color_box();
		$('#custom_contentbox_shadow').init_color_box();

		$('#instant_contentbox_padding_top, #instant_contentbox_padding_right, #instant_contentbox_padding_bottom, #instant_contentbox_padding_left').change(function(){
			init_padding();
		});

		$('#instant_contentbox_border_top, #instant_contentbox_border_right, #instant_contentbox_border_bottom, #instant_contentbox_border_left').change(function(){
			init_border_width();
		});

		$('a[href="#tabpreview"]').live('click', function(){
			before_send_to_editor();

			var html = '',
			padding 	= get_data('padding'),
			borderwidth = get_data('borderwidth'),
			bordercolor = get_data('bordercolor');

			padding		= padding.replace(/\+/ig, 'px ') + 'px';
			borderwidth = borderwidth.replace(/\+/ig, 'px ') + 'px';
			bordercolor = '#'+bordercolor.replace(/\+/ig, ' #');

			html += '<div style="padding:'+padding+';border-width:'+borderwidth+';border-color:'+bordercolor+';border-style:{data.style};border-radius:{data.radius}px;-webkit-border-radius:{data.radius}px;-moz-border-radius:{data.radius}px;background-color:#{data.bgcolor};color:#{data.color};text-shadow:0px 1px 1px #{data.textshadow};-moz-box-shadow: 0px 0px {data.shadowradius}px #{data.shadow};-webkit-box-shadow: 0px 0px {data.shadowradius}px #{data.shadow};box-shadow: 0px 0px {data.shadowradius}px #{data.shadow};">';
			html += '{data.content}';
			html += '</div>';

			get_preview(html);
		});
	});

})(jQuery);

function init_padding() {
	init_set_plus({
		target: '#instant_contentbox_padding',
		top: ['#instant_contentbox_padding_top', '20'],
		right: ['#instant_contentbox_padding_right', '20'],
		bottom: ['#instant_contentbox_padding_bottom', '20'],
		left: ['#instant_contentbox_padding_left', '20'],
	});
};

function init_border_width() {
	init_set_plus({
		target: '#instant_contentbox_border_width',
		top: ['#instant_contentbox_border_top', '1'],
		right: ['#instant_contentbox_border_right', '0'],
		bottom: ['#instant_contentbox_border_bottom', '1'],
		left: ['#instant_contentbox_border_left', '0'],
	});
};

function init_border_color() {
	init_set_plus({
		target: '#instant_contentbox_border_color',
		top: ['#custom_contentbox_border_top_color', 'FFDB2A'],
		right: ['#custom_contentbox_border_right_color', 'FFDB2A'],
		bottom: ['#custom_contentbox_border_bottom_color', 'FFDB2A'],
		left: ['#custom_contentbox_border_left_color', 'FFDB2A'],
	});
};

function colorbox_callback() {
	init_border_color();
}

function before_send_to_editor() {
	init_padding();
	init_border_width();
	init_border_color();
};
/* ]]> */
</script>

<?php popup_footer(); ?>