<?php popup_header(); ?>

<ul id="header_nav" class="nav nav-tabs">
	<li class="active"><a href="#tabsettings" data-toggle="tab">Settings</a></li>
	<li><a href="#tabstyle" data-toggle="tab">Style</a></li>
	<li><a href="#tabpreview" data-toggle="tab">Preview</a></li>
</ul>

<div id="inner_content" class="tab-content">
	<div class="tab-pane fade in active" id="tabsettings">
		<div class="control-group">
			<label class="control-label" for="instant_guaranteebox_title">Title</label>
			<div class="controls">
				<input type="text" class="input-xlarge" name="instant_guaranteebox_title" id="instant_guaranteebox_title" placeholder="30 Days Guarantee" />
			</div>
		</div><!-- /control-group -->

		<div class="control-group">
		   <label class="control-label" for="instant_guaranteebox_image_align">Image Position</label>
		   <div class="controls">
		      <div class="btn-group" data-toggle="buttons-radio">
		         <button name="instant_guaranteebox_image_align" class="btn btn-success active" value="left"><i class="icon-white icon-align-left"></i> Left</button>
		         <button name="instant_guaranteebox_image_align" class="btn btn-success" value="right"><i class="icon-white icon-align-right"></i> Right</button>
		      </div>
		   </div>
		</div><!-- /control-group -->

		<div class="control-group">
		   <label class="control-label" for="instant_guaranteebox_type">Type</label>
		   <div class="controls">
		      <div class="btn-group" data-toggle="buttons-radio">
		         <?php for($i = 0; $i < 13; $i++): ?>
		         <button name="instant_guaranteebox_type" class="btn btn-inverse <?php echo ($i == 0)? 'active': ''; ?>" value="<?php echo $i; ?>"><?php echo $i; ?></button>
		     	<?php endfor; ?>
		      </div>
		   </div>
		</div><!-- /control-group -->

		<div class="control-group">
			<label class="control-label" for="instant_guaranteebox_content">Content</label>
			<div class="controls">
				<textarea class="span12" name="instant_guaranteebox_content" id="instant_guaranteebox_content"></textarea>
			</div>
		</div><!-- /control-group -->
	</div>

	<div class="tab-pane fade" id="tabstyle">
		<div class="span5">
			<div class="control-group">
				<label class="control-label">Border Color</label>
				<div class="controls control-space">
					<?php generate_colorpicker_box('instant_guaranteebox_border_top_color', 'guaranteebox_border_top_color', '#DAD49A'); ?>
					<span class="help-inline">Top</span>
				</div>
				<div class="controls control-space">
					<?php generate_colorpicker_box('instant_guaranteebox_border_right_color', 'guaranteebox_border_right_color', '#DAD49A'); ?>
					<span class="help-inline">Right</span>
				</div>
				<div class="controls control-space">
					<?php generate_colorpicker_box('instant_guaranteebox_border_bottom_color', 'guaranteebox_border_bottom_color', '#DAD49A'); ?>
					<span class="help-inline">Bottom</span>
				</div>
				<div class="controls control-space">
					<?php generate_colorpicker_box('instant_guaranteebox_border_left_color', 'guaranteebox_border_left_color', '#DAD49A'); ?>
					<span class="help-inline">Left</span>
				</div>
			</div><!-- /control-group -->

			<div class="control-group">
				<label class="control-label" for="instant_guaranteebox_background">Background</label>
				<div class="controls">
					<?php generate_colorpicker_box('instant_guaranteebox_background', 'guaranteebox_background', '#FFEFA3'); ?>
				</div>
			</div><!-- /control-group -->

			<div class="control-group">
				<label class="control-label" for="instant_guaranteebox_color">Text Color</label>
				<div class="controls">
					<?php generate_colorpicker_box('instant_guaranteebox_color', 'guaranteebox_color', '#000000'); ?>
				</div>
			</div><!-- /control-group -->
		</div>

		<div class="span7">
			<div class="control-group">
				<label class="control-label">Border Width</label>
				<div class="controls">
					<input type="text" placeholder="1" style="width:15px" name="instant_guaranteebox_border_top" id="instant_guaranteebox_border_top" /> px - 
					<input type="text" placeholder="1" style="width:15px" name="instant_guaranteebox_border_right" id="instant_guaranteebox_border_right" /> px - 
					<input type="text" placeholder="1" style="width:15px" name="instant_guaranteebox_border_bottom" id="instant_guaranteebox_border_bottom" /> px - 
					<input type="text" placeholder="1" style="width:15px" name="instant_guaranteebox_border_left" id="instant_guaranteebox_border_left" /> px
				</div>
			</div><!-- /control-group -->
			<div class="control-group">
				<label class="control-label" for="instant_guaranteebox_border_style">Border Style</label>
				<div class="controls">
					<div class="btn-group" data-toggle="buttons-radio">
						<button name="instant_guaranteebox_border_style" class="btn btn-inverse active" value="solid">Solid</button>
						<button name="instant_guaranteebox_border_style" class="btn btn-inverse" value="dashed">Dotted</button>
					</div>
				</div>
			</div><!-- /control-group -->
			<div class="control-group">
				<label class="control-label">Padding</label>
				<div class="controls">
					<input type="text" placeholder="20" name="instant_guaranteebox_padding" id="instant_guaranteebox_padding" class="input-mini" /> px
				</div>
			</div><!-- /control-group -->
			<div class="control-group">
				<label class="control-label" for="instant_guaranteebox_font">Font</label>
				<div class="controls"><?php render_font_family('instant_guaranteebox_font'); ?></div>
			</div><!-- /control-group -->
		</div>
	</div>

	<div class="tab-pane fade" id="tabpreview"></div><!-- /tabpreview -->
</div>


<input type="hidden" name="instant_guaranteebox_border_width" id="instant_guaranteebox_border_width" value="1+1+1+1" />
<input type="hidden" name="instant_guaranteebox_border_color" id="instant_guaranteebox_border_color" value="FFDB2A+FFDB2A+FFDB2A+FFDB2A" />

<script>
(function($){

	$(document).ready(function(){
		$('#custom_guaranteebox_border_top_color').init_color_box();
		$('#custom_guaranteebox_border_left_color').init_color_box();
		$('#custom_guaranteebox_border_bottom_color').init_color_box();
		$('#custom_guaranteebox_border_right_color').init_color_box();
		$('#custom_guaranteebox_background').init_color_box();
		$('#custom_guaranteebox_color').init_color_box();

		$('a[href="#tabpreview"]').live('click', function(){
			init_google_webfont();
			before_send_to_editor();

			var content = $('#instant_guaranteebox_content'),
			font_family = get_data('font'),
			borderwidth = get_data('borderwidth'),
			bordercolor = get_data('bordercolor'),
			html = '', imgw, imgh;

			borderwidth = borderwidth.replace(/\+/ig, 'px ') + 'px';
			bordercolor = '#'+bordercolor.replace(/\+/ig, ' #');
			font_family = font_family.replace(/g\+/, '').replace(/\+/ig, ' ').replace(/\n/ig, '');

			html 	= '<div style="background:#{data.bgcolor};padding:{data.padding}px;color: #{data.color};border-color:'+bordercolor+';border-width:'+borderwidth+';border-style:{data.style};font-family:\''+font_family+'\'">';

			switch(get_data('type')) {
				case '7':
				case '8':
				case '9':
					imgw = 284;
					imgh = 273;
					break;
				case '13':
					imgw = 250;
					imgh = 251;
					break;
				case '10':
				case '11':
				case '12':
					imgw = 300;
					imgh = 220;
					break;
				case '6':
				case '1':
				case '3':
					imgw = 249;
					imgh = 214;
					break;
				case '2':
				case '4':
				case '5':
				case '0':
					imgw = 249;
					imgh = 203;
					break;
			};

			if(get_data('imgpos') == 'left') {
				html += '<img src="<?php echo PLUGINAPP_URL; ?>assets/img/pixel.gif" style="background:url(<?php echo PLUGINAPP_URL; ?>assets/img/guarantee/'+get_data('type')+'.png) no-repeat 50% 50%;float:left" width="'+imgw+'" height="'+imgh+'" />'
				html += '<div style="margin-left:'+(imgw + 10)+'px">';
				html += '<div style="margin-bottom:15px;font-size:18px;font-weight:bold">{data.title}</div>';
				html += '{data.content}';
				html += '</div>';
			} else {
				html += '<img src="<?php echo PLUGINAPP_URL; ?>assets/img/pixel.gif" style="background:url(<?php echo PLUGINAPP_URL; ?>assets/img/guarantee/'+get_data('type')+'.png) no-repeat 50% 50%;float:right" width="'+imgw+'" height="'+imgh+'" />'
				html += '<div style="margin-right:'+(imgw + 10)+'px">';
				html += '<div style="margin-bottom:15px;font-size:18px;font-weight:bold">{data.title}</div>';
				html += '{data.content}';
				html += '</div>';
			};
			html   += '<div style="clear:both;"></div></div>';

			get_preview(html);
		});
	});

})(jQuery);

function init_border_width() {
	init_set_plus({
		target: '#instant_guaranteebox_border_width',
		top: ['#instant_guaranteebox_border_top', '1'],
		right: ['#instant_guaranteebox_border_right', '1'],
		bottom: ['#instant_guaranteebox_border_bottom', '1'],
		left: ['#instant_guaranteebox_border_left', '1'],
	});
};

function init_border_color() {
	init_set_plus({
		target: '#instant_guaranteebox_border_color',
		top: ['#custom_guaranteebox_border_top_color', 'FFDB2A'],
		right: ['#custom_guaranteebox_border_right_color', 'FFDB2A'],
		bottom: ['#custom_guaranteebox_border_bottom_color', 'FFDB2A'],
		left: ['#custom_guaranteebox_border_left_color', 'FFDB2A'],
	});
};

function colorbox_callback() {
	init_border_color();
};

function before_send_to_editor() {
	init_border_width();
	init_border_color();
};
</script>

<?php popup_footer(); ?>